package at.acdp.urweb;

import at.acdp.urweb.sclient.SecondaryClient;
import at.acdp.urweb.sclient.data.VersionMessage;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.IOException;

public class ScReadThread implements Runnable {
    private static final Logger log = LoggerFactory.getLogger(SecondaryClient.class);

    SecondaryClient rde;
    @Override
    public void run() {
        while(true) {
            try {
                read();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }

    private void read() throws IOException {
        rde=new SecondaryClient("192.168.20.156", 30002);
        VersionMessage vm = rde.connect();
        while(true) {
            rde.readPackage();
        }
    }

    public void writeCmd(String s) {
        rde.writeCmd(s);

    }
}
