package at.acdp.urweb.sclient.data;

import java.io.DataInputStream;
import java.io.IOException;

public class ConfigurationData {

    double jointMinLimit;
    double jointMaxLimit;
    double jointMaxSpeed;
    double jointMaxAcceleration;
    double vJointDefault;
    double aJointDefault;
    double vToolDefault;
    double aToolDefault;
    double eqRadius;
    double dha;
    double dhd;
    double dhAlpha;
    double dhTheta;
    int masterboardVersion;
    int controllerBoxType;
    int robotType;
    int robotSubType;

    public void read(DataInputStream di, int size) throws IOException {
        jointMinLimit = di.readDouble();
        jointMaxAcceleration = di.readDouble();
        jointMaxSpeed = di.readDouble();
        jointMaxAcceleration = di.readDouble();
        vJointDefault = di.readDouble();
        aJointDefault = di.readDouble();
        vToolDefault = di.readDouble();
        aToolDefault = di.readDouble();
        eqRadius = di.readDouble();
        dha = di.readDouble();
        dhd = di.readDouble();
        dhAlpha = di.readDouble();
        dhTheta = di.readDouble();
        masterboardVersion = di.readInt();
        controllerBoxType = di.readInt();
        robotType = di.readInt();
        robotSubType = di.readInt();
    }
}
